Subject: Re: [PATCH] sh_eth: fix descriptor access endianness

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 15 Dec 2015 14:26:51 +0300

Hello.

On 12/15/2015 8:25 AM, David Miller wrote:

>> The driver never  calls cpu_to_edmac() when writing the descriptor address
>> and edmac_to_cpu() when reading it, although it should -- fix this.
>>
>> Note that the frame/buffer length descriptor field accesses also need fixing
>> but since they are both 16-bit we can't  use {cpu|edmac}_to_{edmac|cpu}()...
>>
>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>
> Applied.

    I was going to rework this to fix _all_ cases, and sent follow-up email 
about that yesterday... Haven't you received it?

MBR, Sergei